/*	
 *	Pollin Electronic GmbH
 *	Max-Pollin-Strae 1			
 *	85104 Pfrring 
 *	http://www.pollin.de
 *
 *	Project:	RAPITUS SAMxS Evaluationboard 
 *  Filename:	uart.h
 *
 *  Author:		Leonhard Hesse
 *
 *  Copyright (c) 2016 Pollin Electronic GmbH. All rights reserved.
 *
 *  Bitte beachten Sie, dass dieses Programm nur uneingeschrnkt fr nicht kommerzielle Zwecke genutzt 
 *  werden darf. Ich bernehme keine Garantie fr die einwandfreie Funktion dieses Programmes und ber- 
 *  nehme dadurch auch keine Haftung fr Folgeschden die Aufgrund der Benutzung dieser Daten entstehen. 
 *  Dieses gilt auch dann, wenn ich ber einen solchen Schaden unterrichtet worden bin. 
 */


#ifndef UART_H_
#define UART_H_

#define UART_SERIAL_BAUDRATE        57600
#define UART_SERIAL_CHANNEL_MODE	UART_MR_CHMODE_NORMAL
#define UART_SERIAL_MODE			UART_MR_PAR_NO

void uart_write_char(Uart *p_uart, uint8_t data);
void uart_write_string(Uart *p_uart, const char * uart_string);
void uart_read_char(Uart *p_uart);
void myUart0_init (void);
void myUart1_init (void);
void debug (const char *string);

uint8_t received_data_J2;
uint8_t received_data_J3;

//bool rfm_J3_def;

unsigned char rd_data_J2;
unsigned char rd_data_J3;

#endif /* UART_H_ */