/*
*	Pollin Electronic GmbH
*	Max-Pollin-Strae 1
*	85104 Pfrring
*	http://www.pollin.de
*
*	Project:	RAPITUS SAMxS Evaluationboard
*	Filename:	user.h
*
*	Author:		Leonhard Hesse
*
*	Copyright (c) 2016 Pollin Electronic GmbH. All rights reserved.
*
*	Bitte beachten Sie, dass dieses Programm nur uneingeschrnkt fr nicht kommerzielle Zwecke genutzt
*	werden darf. Ich bernehme keine Garantie fr die einwandfreie Funktion dieses Programmes und ber-
*	nehme dadurch auch keine Haftung fr Folgeschden die Aufgrund der Benutzung dieser Daten entstehen.
*	Dieses gilt auch dann, wenn ich ber einen solchen Schaden unterrichtet worden bin.
*
*	!!!!!! WICHTIGER HINWEIS !!!!!!
*	Hier werden alle notwendigen und individuellen Einstellungen vorgenommen! 
*	Die Grundeinstellungen sind dann zu verwenden, wenn nur das RAPITUS SAMxS Evaluationboard ohne zustzliche
*	Komponenten getestet werden soll. Um eventuell angeschlossene Ad-On-Boards zu initialisieren mssen
*	die folgenden Einstellungen angepasst werden. Abgesehen von dieser Datei (user.h) sind keine weiteren
*	nderungen des Codes notwendig, um alle Hardwarekomponenten inklusive der Ad-On-Boards zu Testzwecken
*	betreiben zu knnen.
*/

#ifndef USER_H_
#define USER_H_

/************************************************************************/
/*                         USER SETTINGS                                */
/* Choose Add-On-Board */
//#define DCF_ADDON				// use the Add-On-Board with DCF-Receiver
//#define RFM_ADDON				// use the Add-On-Board with RFM-Receiver

/* Choose option */
//#define RFM_RECEIVER			// use the RFM-Modul as receiver
//#define RFM_TRANSMITTER		// use the RFM-Modul as transmitter
//define RFM_RS232_J3			// connect J3 directly to the RFM module
/*																		*/
/************************************************************************/ 

/* Check for error in user settings - do not change! */
#ifdef RFM_ADDON
	#if !defined RFM_RECEIVER && !defined RFM_TRANSMITTER
		#error You have to decide between receiver or transmitter mode for the RFM module! (user.h)
	#endif
	#if defined RFM_RECEIVER && defined RFM_TRANSMITTER
		#error You have to decide between receiver or transmitter mode for the RFM module! Only one mode possible (user.h)
	#endif
#endif

#ifdef RFM_RS232_J3
	#if !defined RFM_ADDON
		#error You like to connect J3 directle to the RFM module but RFM_ADDON is not defined! (user.h)
	#endif
#endif

#endif /* USER_H_ */